Subject: Re: bug#13378: [IMPORTANT] Make the 'subdir-objects' setup the default, and only available one

From: Peter Rosin <[email-masked]>
Date: Tue, 08 Jan 2013 23:03:01 +0100

On 2013-01-08 22:42, Stefano Lattarini wrote:
> On 01/08/2013 10:06 PM, Peter Rosin wrote:
>> On 2013-01-08 16:15, Stefano Lattarini wrote:
>>> That would be overkill, since AM_PROG_CC_C_O is only required by
>>> projects doing C compilation.
>>
>> Hi,
>>
>> However, a notorious C++ compiler from Redmond is inferior also in its
>> C++ mode and would benefit from an AM_PROG_CXX_C_O variant.
>>
> No hope the unnamed company producing this compiler would listen to a
> bug report? ;-)

It wouldn't help to just add support for "-o <output>". The MSVC compiler
needs the compile script for other reasons as well. There was a discussion
earlier about A[CM]_PROG_CXX_C_O where an idea was expressed to split it
in two parts, a simple front-end and a back-end doing the work, so that a
second front-end (piggybacking on the back-end) could be added when the
compile script is needed for other reasons than -c -o support. Nothing
have materialized from that discussion so far though... (which is my fault)

Also, I'm sure others before me have wished for a POSIX compliant CLI.

>> If the meat of AM_PROG_CC_C_O becomes part of AC_PROG_CC if would
>> be nice if $CXX could be edited to wrap an inferior C++ compiler in
>> AC_PROG_CXX.
>>
> That would require an AC_PROG_CXX_C_O in Autoconf first (well, not
> actually require, but that's the avenue I'd prefer).
> 
> Then again, in the longer term, wouldn't it be better to provide a
> (GNU or non-GNU) package meant to wrap all this MSVC incompatibilities
> in a secluded place, instead of having Automake chase all this
> intricacies with mixed fortune?  After all, we don't have random users
> building on MSYS with MSVC -- the users interested in doing so should
> know what they are doing, so we could ask them to install this
> hypothetical "wrapping package" before trying any such compilation.
> It might also be made part of MSYS itself eventually, if it proves
> itself on field.
> 
> Good idea, bad idea, or simple wishful thinking?

I think it's a bad idea. Trying to do this outside of autotools will
just grow forks. Try finding a canonical cccl script on the Internet...

Cheers,
Peter'